﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour UserControlEdit.xaml
    /// </summary>
    public partial class UserControlEdit : UserControl
    {
        public UserControlEdit()
        {
            InitializeComponent();
        }

        public string name
        {
            set
            {
                leNom.Contenu = value;
            }
        }
        public string sciName
        {
            set
            {
                nomSci.Contenu = value;
            }
        }
        public string pic
        {
            set
            {
                LienPhoto.Contenu = value;
            }
        }
        public string vid
        {
            set
            {
                LienVid.Contenu = value;
            }
        }
        public string map
        {
            set
            {
                LienMap.Contenu = value;
            }
        }
        public string fun
        {
            set
            {
                funFact.Contenu = value;
            }
        }

        private void LienPhoto_IsKeyboardFocusedChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            LienPhoto.Contenu = "";
        }

        private void leNom_IsKeyboardFocusedChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            leNom.Contenu = "";
        }

        private void nomSci_IsKeyboardFocusedChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            sciName = "";
        }

        private void LienVid_IsKeyboardFocusedChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            LienVid.Contenu = "";
        }

        private void LienMap_IsKeyboardFocusedChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            LienMap.Contenu = "";
        }

        private void funFact_IsKeyboardFocusedChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            funFact.Contenu = "";
        }
    }
}
